Debian Bug report logs - #449235
Please add ipw2200 firmware

version graph

Package: firmware-nonfree; Maintainer for firmware-nonfree is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Per Olofsson <pelle@dsv.su.se>

Date: Sun, 4 Nov 2007 11:24:01 UTC

Severity: wishlist

Found in versions 0.7, 5

Fixed in version firmware-nonfree/0.14

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@dsv.su.se>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@dsv.su.se>
To: submit@bugs.debian.org
Subject: Please add ipw2200 firmware
Date: Sun, 04 Nov 2007 12:21:38 +0100
Package: firmware-nonfree
Version: 0.7
Severity: wishlist

Hi,

It would be useful have an ipw2200-firmware package. The firmware is available
at <http://ipw2200.sourceforge.net/firmware.php> under a proprietary license,
which does appear to allow redistribution.

-- 
Pelle




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 449235@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 449235@bugs.debian.org
Subject: Intel wireless firmware in firmware-nonfree
Date: Sat, 03 May 2008 01:11:32 -0700
I also would like to see the various Intel wireless firmware in the 
firmware-nonfree package.

1.) The Intel 3945 adapter was previously supported by the ipw3945 driver
  http://ipw3945.sourceforge.net/

but that was deprecated starting with 2.6.24, and replaced with the new 
Intel Wireless WiFi Link drivers
  http://intellinuxwireless.org/

which provide a driver for the 3945 and also the 4965, both are in upstream 
2.6.24 but need the microcode available at
  http://intellinuxwireless.org/?n=Downloads

The license is at
  http://intellinuxwireless.org/LICENSE.iwlwifi-ucode
  
and they have a licenses FAQ at
  http://intellinuxwireless.org/?n=FAQ&s=license


2.) In addition to the firmware for the ipw2200 mentioned by the original 
submitter, there is also the other legacy ipw2100
  http://ipw2100.sourceforge.net/
(I didn't look at the license though)


If the licenses are acceptable for non-free please consider including these 
firmwares.

Thanks,

-- 
Matt Taggart
taggart@debian.org






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 449235@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Matt Taggart <taggart@debian.org>, 449235@bugs.debian.org
Cc: 449235-submitter@bugs.debian.org
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Sat, 3 May 2008 20:30:13 +0200
[Message part 1 (text/plain, inline)]
On Sat, May 03, 2008 at 01:11:32AM -0700, Matt Taggart wrote:
> 1.) The Intel 3945 adapter was previously supported by the ipw3945 driver
>   http://ipw3945.sourceforge.net/

Was dropped because not longer supported by current kernels.

> but that was deprecated starting with 2.6.24, and replaced with the new 
> Intel Wireless WiFi Link drivers
>   http://intellinuxwireless.org/
> which provide a driver for the 3945 and also the 4965, both are in upstream 
> 2.6.24 but need the microcode available at
>   http://intellinuxwireless.org/?n=Downloads

Is already shipped as firmware-iwlwifi.

> 2.) In addition to the firmware for the ipw2200 mentioned by the original 
> submitter, there is also the other legacy ipw2100
>   http://ipw2100.sourceforge.net/
> (I didn't look at the license though)

We decided that we can't ship it with this license in non-free.

Bastian

-- 
You canna change the laws of physics, Captain; I've got to have thirty minutes!
[signature.asc (application/pgp-signature, inline)]

Message sent on to Per Olofsson <pelle@dsv.su.se>:
Bug#449235. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 449235@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: Bastian Blank <waldi@debian.org>, 449235@bugs.debian.org
Cc: Matt Taggart <taggart@debian.org>
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Sat, 03 May 2008 23:57:18 +0200
Hi,

Bastian Blank wrote:
>> 2.) In addition to the firmware for the ipw2200 mentioned by the original 
>> submitter, there is also the other legacy ipw2100
>>   http://ipw2100.sourceforge.net/
>> (I didn't look at the license though)
> 
> We decided that we can't ship it with this license in non-free.

Why is that? Apparently Ubuntu can ship it (IIRC). Also, there is a faq page[1]
indicating that it is possible to redistribute the firmware.

But if you have already decided that the firmware can't be packaged, I guess
this bug should be closed or marked wontfix.

[1] http://ipw2100.sourceforge.net/firmware_faq.php

-- 
Pelle




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 449235@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 449235@bugs.debian.org
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Sun, 4 May 2008 16:58:32 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Saturday 03 May 2008 23:57, Per Olofsson wrote:
> Bastian Blank wrote:
> > We decided that we can't ship it with this license in non-free.

Where did you document this decission? On what is it based?

> But if you have already decided that the firmware can't be packaged, I
> guess this bug should be closed or marked wontfix.

Or rather taken to the tech CTTE or whatever...

> [1] http://ipw2100.sourceforge.net/firmware_faq.php

Looks perfectly fine for nonfree to me.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 449235@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 449235@bugs.debian.org
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Sun, 4 May 2008 17:23:14 +0200
[Message part 1 (text/plain, inline)]
On Sun, May 04, 2008 at 04:58:32PM +0200, Holger Levsen wrote:
> On Saturday 03 May 2008 23:57, Per Olofsson wrote:
> > Bastian Blank wrote:
> > > We decided that we can't ship it with this license in non-free.
> Where did you document this decission? On what is it based?

| Your rights to redistribute the Software shall be contingent upon your
| installation of this Agreement in its entirety in the same directory as
| the Software.

This was interpreted by at least one person that the license needs to
pushed in the same directory on the mirror than the package.

> > [1] http://ipw2100.sourceforge.net/firmware_faq.php
> Looks perfectly fine for nonfree to me.

This is not the license. This is the FAQ to the license. For the license
see [1].

Bastian

[1]: http://ipw2100.sourceforge.net/firmware.php?fid=4

-- 
If I can have honesty, it's easier to overlook mistakes.
		-- Kirk, "Space Seed", stardate 3141.9
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 449235@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 449235@bugs.debian.org
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Sun, 4 May 2008 18:06:53 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Sunday 04 May 2008 17:23, Waldi wrote:
> | Your rights to redistribute the Software shall be contingent upon your
> | installation of this Agreement in its entirety in the same directory as
> | the Software.
> This was interpreted by at least one person that the license needs to
> pushed in the same directory on the mirror than the package.

And because there is one person interpreting this differently than the 
licencing party itself, Debian shall not do what the licencing party and the 
users would like to see?

I have every reason to believe Intel wants us to distribute the firmware!

The question where this discussion is documented is still open. And the 
question whether you as the maintainers agree with that one person or if you 
going to change this...


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@dsv.su.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 449235@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@dsv.su.se>
To: Bastian Blank <waldi@debian.org>, 449235@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Sun, 04 May 2008 18:14:19 +0200
Bastian Blank wrote:
> 
> | Your rights to redistribute the Software shall be contingent upon your
> | installation of this Agreement in its entirety in the same directory as
> | the Software.
> 
> This was interpreted by at least one person that the license needs to
> pushed in the same directory on the mirror than the package.

But the FAQ says:

"The package must install the LICENSE file in the same location on the system
that the firmware files are installed."

I.e., /lib/firmware. If that's not convincing, perhaps we should ask Intel for a
clarification? I doubt that other distributions place the license file in their
mirror directories.

>>> [1] http://ipw2100.sourceforge.net/firmware_faq.php
>> Looks perfectly fine for nonfree to me.
> 
> This is not the license. This is the FAQ to the license. For the license
> see [1].

That's true. Yet, the FAQ can be useful for clarifying the license's meaning and
upstream's intentions with it.

-- 
Pelle




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #48 received at 449235@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 449235@bugs.debian.org
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Sun, 4 May 2008 19:12:36 +0200
On Sun, May 04, 2008 at 06:06:53PM +0200, Holger Levsen wrote:
> On Sunday 04 May 2008 17:23, Waldi wrote:
> > | Your rights to redistribute the Software shall be contingent upon your
> > | installation of this Agreement in its entirety in the same directory as
> > | the Software.
> > This was interpreted by at least one person that the license needs to
> > pushed in the same directory on the mirror than the package.
> And because there is one person interpreting this differently than the 
> licencing party itself, Debian shall not do what the licencing party and the 
> users would like to see?

Who wants to define that someone is not allowed to define a binary dump
as source and publish it under the GPL and we are therefor not allowed
to distribute such things?

> The question where this discussion is documented is still open.

Somewhere in the IRC logs.

Update: Just found it, was between aba and me, in #debian.de, 25.5.2006.

>                                                                 And the 
> question whether you as the maintainers agree with that one person or if you 
> going to change this...

If the ftp-team acks it, I have no problem with that.

Bastian

-- 
Warp 7 -- It's a law we can live with.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #53 received at 449235@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 449235@bugs.debian.org
Subject: Re: Bug#449235: Intel wireless firmware in firmware-nonfree
Date: Mon, 5 May 2008 12:30:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Sunday 04 May 2008 19:12, Bastian Blank wrote:
> > > This was interpreted by at least one person that the license needs to
> > > pushed in the same directory on the mirror than the package.
> > And because there is one person interpreting this differently than the
> > licencing party itself, Debian shall not do what the licencing party and
> > the users would like to see?
> Who wants to define that someone is not allowed to define a binary dump
> as source and publish it under the GPL and we are therefor not allowed
> to distribute such things?

Even after reading this three times and having my second coffee I fail to 
understand what this paragraph has to do with the ipw2x00 firmware. It's not 
GPLed.

Maybe I need a third coffee though.

> > The question where this discussion is documented is still open.
> Somewhere in the IRC logs.
> Update: Just found it, was between aba and me, in #debian.de, 25.5.2006.

So there is no public log. (And it was probably also in the wrong language :)

> >                                                                 And the
> > question whether you as the maintainers agree with that one person or if
> > you going to change this...
> If the ftp-team acks it, I have no problem with that.

Cool.

So let's get their confirmation.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. (Mon, 20 Oct 2008 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Oct 2008 10:33:03 GMT) Full text and rfc822 format available.

Message #58 received at 449235@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 449235@bugs.debian.org
Subject: update on ipw2100/2200 firmware distributability
Date: Mon, 20 Oct 2008 12:30:33 +0200
[Message part 1 (text/plain, inline)]
Hi,

I've just send a mail "to intel" asking for clarification of this perceived 
undistributable issue...


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. (Mon, 03 Nov 2008 14:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 03 Nov 2008 14:45:08 GMT) Full text and rfc822 format available.

Message #63 received at 449235@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-kernel@lists.debian.org, 449235@bugs.debian.org
Subject: Re: firmware-nonfree : ipw2100 and ipw2200 in Lenny?
Date: Mon, 3 Nov 2008 15:42:52 +0100
[Message part 1 (text/plain, inline)]
Hi Franklin,

thanks a lot for your work on these patches! Very much appreciated!

On Saturday 01 November 2008 22:33, Frank Lin PIAT wrote:
> I think it would be nice to have those firmware in Lenny. Even though
> it's very late in the release cycle, I assume the risk is add them is
> rather low since:
> 1. The firmware haven't changed for ages.
> 2. The packages will be in non-free (i.e not supported by Debian).
>
> Is there anything I could do to help?
> I assume I should open 2 bugs for the patches, right ?

Yes, please do. 

Also please make the bugs blocked by 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=449235 - which I think is 
invalid and about which I'm in communication with intel to get the 
clarification about this stupid refusal of the firmware-nonfree maintainers 
to include those firmwares.

(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=449235#33 claims that 
someone read the licence as undistributable in non-free because the licence 
could mean that the licence needs to be available 
_in_the_download_directory_next_to_the_firmware. The way I read the licence 
is that its fine if the licence is part inside the package and upon 
_installation_ the licence is placed in the same directory as the firmware 
file. (And in /usr/share/doc/ipw2x00-fireware _and_ displayed to the user at 
installation time and asked for acception.))


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. (Thu, 06 Nov 2008 01:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Nov 2008 01:09:06 GMT) Full text and rfc822 format available.

Message #68 received at 449235@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@bigfoot.com>
To: Debian Bug Tracking System <449235@bugs.debian.org>
Subject: firmware-nonfree: Please add ipw2200 firmware
Date: Thu, 06 Nov 2008 02:08:48 +0100
Package: firmware-nonfree
Followup-For: Bug #449235

Hello,

I've attached a patch to add ipw2200 firmware. That license issue was 
discussed on debian-kernel and debian-legal[1] and in this bug.

This patch depends on a feature that is added by a patch I've also submitted
in bug #504668[2].

The License FAQ[3] states :
> Q. I am a package maintainer and I would like to create a
>    package/distribution/CD that installs/provides the Intel firmware 
>    necessary for the ipw2100 and ipw2200 projects. 
>    How does one go about doing this according to Intel's terms
> A. There are three key actions that must be performed: 
>    1. Generally distributors alert end users to the fact that
>      components of a package may be covered under a variety of
>      licenses, the specific terms of which vary. Some distributors
>      use an initial license page during the OS install that informs
>      the user that various components are governed by a variety of
>      licenses, and use of the components is subject to the user's
>      compliance with the various licensing requirements. Other
>      package systems support an interactive package approach that
>      requires the user to view and accept the license before they can
>      install it, etc. 

The license page is presented to the user, which must accept the license,
or the installation fails.

I think D-I don't honor preinst script when it installs the firmware from
a removable media, but this seems to be allowed here.

>   2. Any description within the package must indicate that the
>      package is covered by the Intel license, and provide the user
>      with information on how to access that license -- making it
>      clear that the user is not granted a license to use the package
>      unless these terms are agreed to. 

Done.

>   3. The package must install the LICENSE file in the same location
>      on the system that the firmware files are installed. If it is
>      standard practice in your distribution to place all license
>      files in a centralized location (for
>      example /usr/share/license), then you are free to place a copy
>      of the license in that location, in addition to placing it in
>      the directory containing the firmware files.

A link is created from /lib/firmware/ipw2200.LICENSE to
/usr/share/doc/firmware-ipw2200/copyright.


I haven't attached the binary blobs. They are available from
upstream website[4].

Franklin


[1] http://lists.debian.org/debian-kernel/2008/10/msg00530.html
[2] http://bugs.debian.org/504668
[3] http://intellinuxwireless.org/?n=FAQ&s=license#license_1
[4] http://ipw2200.sourceforge.net/firmware.php?fid=7


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (200, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#449235; Package firmware-nonfree. (Thu, 06 Nov 2008 01:18:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Nov 2008 01:18:17 GMT) Full text and rfc822 format available.

Message #73 received at 449235@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@bigfoot.com>
To: Debian Bug Tracking System <449235@bugs.debian.org>
Subject: firmware-nonfree: Patch for ipw2200
Date: Thu, 06 Nov 2008 02:17:48 +0100
[Message part 1 (text/plain, inline)]
Package: firmware-nonfree
Version: 5
Followup-For: Bug #449235

Damn it, I forgot to attach the patch. Here it is.

Franklin
[ipw2200.diff (text/x-diff, attachment)]

Tags added: pending Request was from Bastian Blank <waldi@alioth.debian.org> to control@bugs.debian.org. (Fri, 28 Nov 2008 11:57:07 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Wed, 03 Dec 2008 22:57:04 GMT) Full text and rfc822 format available.

Notification sent to Per Olofsson <pelle@dsv.su.se>:
Bug acknowledged by developer. (Wed, 03 Dec 2008 22:57:04 GMT) Full text and rfc822 format available.

Message #80 received at 449235-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 449235-close@bugs.debian.org
Subject: Bug#449235: fixed in firmware-nonfree 0.14
Date: Wed, 03 Dec 2008 22:42:22 +0000
Source: firmware-nonfree
Source-Version: 0.14

We believe that the bug you reported is fixed in the latest version of
firmware-nonfree, which is due to be installed in the Debian FTP archive:

firmware-bnx2_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-bnx2_0.14_all.deb
firmware-ipw2x00_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ipw2x00_0.14_all.deb
firmware-iwlwifi_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-iwlwifi_0.14_all.deb
firmware-nonfree_0.14.dsc
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.14.dsc
firmware-nonfree_0.14.tar.gz
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.14.tar.gz
firmware-qlogic_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-qlogic_0.14_all.deb
firmware-ralink_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ralink_0.14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449235@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated firmware-nonfree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Dec 2008 18:07:12 +0100
Source: firmware-nonfree
Binary: firmware-bnx2 firmware-ipw2x00 firmware-iwlwifi firmware-qlogic firmware-ralink
Architecture: source all
Version: 0.14
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 firmware-bnx2 - Binary firmware for Broadcom NetXtremeII
 firmware-ipw2x00 - Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 firmware-iwlwifi - Binary firmware for Intel Wireless 3945 and 4965
 firmware-qlogic - Binary firmware for QLogic QLA2XXX
 firmware-ralink - Binary firmware for Ralink RT2561, RT2571, RT2661 and RT2671 wire
Closes: 449235 504668 504671
Changes: 
 firmware-nonfree (0.14) unstable; urgency=low
 .
   * Generate license acceptation prompt, based on sun-java5. (closes: #504668)
   * Add Intel Pro 2100 firwmare, version 1.3. (closes: #504671)
   * Add Intel Pro 2200/2915 firwmare, version 3.0. (closes: #449235)
Checksums-Sha1: 
 7029717853f68a8e4d4a91288cd7320e536766cf 1107 firmware-nonfree_0.14.dsc
 91aae6ef3dfe2be676fbe708b336b7c834b431b9 1281829 firmware-nonfree_0.14.tar.gz
 183887c86acae946a05786029c3b7e941c6c1fed 105312 firmware-bnx2_0.14_all.deb
 e6387d347d10cac9647acd1d4c7317fb52766d01 519622 firmware-ipw2x00_0.14_all.deb
 adf99db78a2ae1fd96e8006d58bd1656ee704775 223788 firmware-iwlwifi_0.14_all.deb
 58c89e3314853c28940fb0d807e2de6d5ee1e5c7 415896 firmware-qlogic_0.14_all.deb
 326032ce8a450bd6afef1cd2727c0348e52239fc 11698 firmware-ralink_0.14_all.deb
Checksums-Sha256: 
 7a43f7dd4c3c66b7dbcb23d9c1cb37d7f9aec36ae740b7049dedf91d054ed8d9 1107 firmware-nonfree_0.14.dsc
 21eb0cdb70c9703facec99702acc528d402ee60d9df00cba7ba1f6782002a88b 1281829 firmware-nonfree_0.14.tar.gz
 aa9532addaf376902dc880a71a3632d9f877c27cf62c95841ea077acb897349b 105312 firmware-bnx2_0.14_all.deb
 160e9e14074d269e963baa8432be4df5e10a62735fddfb32f045a103f970f375 519622 firmware-ipw2x00_0.14_all.deb
 56ccec13accc373a994f44a5e3ecbe9f4f3b58371a505db71174b3fab6d8b77c 223788 firmware-iwlwifi_0.14_all.deb
 13e5ce82984d7df3c202d48c70c5c1e541d53afead1365353c856501e3290552 415896 firmware-qlogic_0.14_all.deb
 eb93d9da29217af2a4ac9db723bd56b8f281157891effc785470d4cfa1970de4 11698 firmware-ralink_0.14_all.deb
Files: 
 693f9c8d093429ecd2e978935fa190a8 1107 non-free/admin optional firmware-nonfree_0.14.dsc
 faf59942e8da6821ff9b1b800f5ed1c9 1281829 non-free/admin optional firmware-nonfree_0.14.tar.gz
 e913bc936a8ca754d72aa91291f229dd 105312 non-free/admin optional firmware-bnx2_0.14_all.deb
 91737f5f83dbc71d1c93c17d7f155b73 519622 non-free/admin optional firmware-ipw2x00_0.14_all.deb
 b5ddd638c4cd04267cb88fa0a001caa5 223788 non-free/admin optional firmware-iwlwifi_0.14_all.deb
 4fdb341a9d7375d9b373b782cf8dc74c 415896 non-free/admin optional firmware-qlogic_0.14_all.deb
 89c8a7381fca91b4bca7c9b0812f3f68 11698 non-free/admin optional firmware-ralink_0.14_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkk1bDAACgkQLkAIIn9ODhHPjwCcDKZnqz0ZPzqjI7s4Pj+Zpo+1
HUcAoMUj1nBCLZtvOuCjhdMLk9lAqsWX
=/BzE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Feb 2009 07:26:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:42:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.